Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#4524 closed enhancement (fixed)

New package: ssh-askpass-6.4p1

Reported by: Fernando de Oliveira Owned by: Fernando de Oliveira
Priority: normal Milestone:
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description


Change History (11)

comment:1 by Fernando de Oliveira, 8 years ago

Owner: changed from blfs-book@… to Fernando de Oliveira
Status: newassigned

comment:2 by Fernando de Oliveira, 8 years ago

Resolution: wontfix
Status: assignedclosed

comment:3 by Fernando de Oliveira, 8 years ago

Resolution: wontfix
Status: closedreopened

comment:4 by Fernando de Oliveira, 8 years ago

Status: reopenednew

comment:5 by Fernando de Oliveira, 8 years ago

There are many packages with this name. No one is named like that by the author. Debian uses the name for x11-ssh-askpass, last version is 1.2.4.1, from 2001-Sep-17. Arch has openssh-askpass 2.0.0-2 to provide x11-ssh-askpass, a program based on qt4, also depending on cmake and openssh. Arch also ships x11-ssh-askpass-1.2.4.1.

The package I am considering in this ticket is what is named by Debian ssh-askpass-gnome-6.4p1. It is distributed in the openssh tarball and the c-file dates from 2009, which I believe was the reason for choosing it personaly.

Although x11-ssh-askpass-1.2.4.1 uses only xorg-libs (libxt) and the one I am considering depends also on gtk+2 (and glib, but in BLFS, gtk+2 has it in the dependency chain).

Considering all above, my plan is to call the package ssh-askpass-6.4p1, keeping the version convention as in Debian (same as OpenSSH), but withdrawing the gnome from the name, which could make "non-gnome" users possibly avoid it even before checking the dependencies. Also, I know the name I use is recognized by all packages involved.

The installation instructions I use are very different from debian. I would like to keep them as I use, because have no doubt it works.

I will wait until tomorrow, before starting to edit the page. Perhaps tomorrow or the day after, I would, then, commit.

With this, I hope, any objection can be made before, or in the days following the inclusion of the page in the book, so it could be easily reverted, hopefully avoiding future problems.

comment:6 by Fernando de Oliveira, 8 years ago

The instructions I use are in BLFS/Gparted (there, you will also find what I mean by "packages involved"). Including this package was provoked by the tickets #4454 and #4520.

Last edited 8 years ago by Fernando de Oliveira (previous) (diff)

comment:7 by Armin K, 8 years ago

FYI, seahorse also provides ssh-askpass program, but has far more deps that it isn't even worth building it if you are only after that part.

/usr/lib/seahorse/seahorse-ssh-askpass

in reply to:  5 comment:8 by bdubbs@…, 8 years ago

Replying to fo:

The installation instructions I use are very different from debian. I would like to keep them as I use, because have no doubt it works.

Works is good. I think a note that 'ssh-askpass' is a somewhat generic executable name for interoperability reasons and can be found in other packages would be appropriate.

comment:9 by Fernando de Oliveira, 8 years ago

Summary: New package: ssh-askpassNew package: ssh-askpass-6.4p1

Thanks for all comments.

Tried to be as close as possible to the comments.

Please spend a time reading to correct anything wrong, including definitions, commands, tags, English.

Hopefully fixed at r12536.

Leaving open for a couple of days, until fixes are included.

comment:10 by Fernando de Oliveira, 8 years ago

Resolution: fixed
Status: newclosed

Fixed at r12561.

comment:11 by bdubbs@…, 8 years ago

Milestone: current

Milestone current deleted

Note: See TracTickets for help on using tickets.